View Issue Details

IDProjectCategoryView StatusLast Update
0000185ScribusGeneralpublic2016-05-21 12:58
Reportercbradney Assigned To 
PrioritylowSeverityfeatureReproducibilityalways
Status acknowledgedResolutionopen 
PlatformallOSallOS Versionall
Product Version1.3.4cvs 
Target VersionFuture Release - Nice to haveFixed in Version 
Summary0000185: Allow frames on master pages to have content when applied to normal pages.
DescriptionNeed to find a way to allow creation of unchangeable text and picture frames on master pages that can have their content edited when applied to normal pages.
TagsNo tags attached.
PatchNo

Relationships

has duplicate 0002412 closed Not possible to make PDF annotations in a Template /Master Page 
has duplicate 0002845 closedcbradney Item from Template cannot be changed 
related to 0002119 closedfschmid Text frame size wrong when adding pages 
related to 0005990 closed Items on Master pages can never be placed above items on normal pages 
related to 0004399 closedale Level of Objects and Masterpages 
child of 0003837 acknowledged Metabug: Master pages/Page templates 

Activities

bemerson

2004-01-24 21:07

reporter   ~0000306

If I'm reading this feature right, I have to agree and add my support to its implementation - I was about to report it myself. Using templates in this way is probably their major strength, since you can create a layout that is adhered to by the whole document, but with different content in every instance. This can be critical for books and newspapers and such where you want to use the template as you'd use a style - create a template, apply it to a whole bunch of new pages, fill the pages with different content, then change the template to affect layout changes to all the inheriting pages. I'm sure this change will make Scribus more useful to users with complex documents.

Tsoots

2004-01-24 23:20

manager   ~0000311

I suppose this comes pretty close to this feature. It would be also nice if "Text flows around Box" set for an object in template would affect a text frame in the actual page.

plinnell

2004-01-29 15:24

viewer   ~0000387

moved to 1.3+

christoph_s

2006-04-13 18:27

administrator   ~0009898

Is it possible to raise the priority of this request? The reason is that it's one of the most asked-for features in German forums.

mhanski

2006-04-13 19:03

developer   ~0009901

Planned in Roadmap Extras http://wiki.scribus.net/index.php/1.3.x_Roadmap_Extras
with no ETA

Changing the status to acknowledged

aliB

2010-02-17 09:03

reporter   ~0023314

Just a suggestion:
Some objects on a masterpage should not be editable on regular pages (textframe of the pagenumber, some images and so on). So it should be possible to define somewhere which objects can be edited on a regular page and which not.
Possible approach would be an additional boolean option in the layersdialog when editing a masterpage "is editable template layer"

subeditor

2010-05-11 08:44

reporter   ~0023891

Keep Scribus as simple as possible.
I suggest to use lock status: if frame/object is locked while in master page mode it can't be edited in regular mode, if not then one can modify object as if it was created in regular mode. May be lock indicator (I believe there will be one somewhen) should have different colors for objects locked in different modes.
Rather simple.

Issue History

Date Modified Username Field Change
2004-01-20 20:54 cbradney New Issue
2004-01-20 20:54 cbradney Product Version => 1.3
2004-01-20 22:38 cbradney Priority normal => low
2004-01-24 21:07 bemerson Note Added: 0000306
2004-01-24 23:20 Tsoots Note Added: 0000311
2004-01-29 15:24 plinnell Note Added: 0000387
2005-08-11 17:53 plinnell Relationship added has duplicate 0002412
2005-08-20 22:37 plinnell Relationship added related to 0002119
2005-11-18 12:35 cbradney Relationship added has duplicate 0002845
2006-04-11 13:16 mhanski OS => all
2006-04-11 13:16 mhanski OS Version => all
2006-04-11 13:16 mhanski Platform => all
2006-04-11 13:16 mhanski Product Version 1.3 => 1.3.4cvs
2006-04-11 13:16 mhanski Summary Allow frames on templates to have content when applied to normal pages. => Allow frames on master pages to have content when applied to normal pages.
2006-04-11 13:16 mhanski Description Updated
2006-04-13 18:27 christoph_s Note Added: 0009898
2006-04-13 19:03 mhanski Note Added: 0009901
2006-04-13 19:03 mhanski Status new => acknowledged
2006-05-18 18:23 christoph_s Relationship added child of 0003837
2007-07-12 15:17 christoph_s Relationship added related to 0005990
2007-07-12 15:20 christoph_s Relationship added related to 0004399
2010-02-17 09:03 aliB Note Added: 0023314
2010-05-11 08:44 subeditor Note Added: 0023891
2016-05-21 12:58 Kunda Patch => No
2016-05-21 12:58 Kunda Target Version => Future Release - Nice to have